import React, { useEffect, useState } from "react";
import { useParams } from "react-router";
import emptyProduct from "../emptProduct";

export default function ProductLoader(props) {
  const { component: Component } = props;
  const { productId } = useParams("productId");
  const [product, setProduct] = useState(emptyProduct)

  useEffect(() => {
    fetch(`http://localhost:8080/api/products/${productId}`)
      .then(res => {
        if (res.ok) {
          res.json.then(data => setProduct({...data}))
        }
      })
  }, [productId]);

  return <Component product={product} />;
}
